Commet
  • Pricing
Log InTry out
Add seats POSTBulk set seats PUTGet all seat balances GETGet seat balance GETRemove seats DELETESet seats PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Set seats

Set seats to an exact count.

PUT
/seats

Set seats to an exact count.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

customerId*string
featureCode*string
count*integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/seats" \  -H "Content-Type: application/json" \  -d '{    "customerId": "string",    "featureCode": "string",    "count": 1  }'
{  "success": true,  "data": {    "id": "string",    "customerId": "string",    "featureCode": "string",    "previousBalance": -9007199254740991,    "newBalance": -9007199254740991,    "ts": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "object": "seat",    "livemode": true  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "success": false,  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Remove seats DELETE

Remove seats from a customer's subscription. Takes effect at the end of the billing period.

Adjust balance POST

Adjust a subscription's balance or credits by a signed amount. Positive adds, negative subtracts.